Name: gdam
Version: 0.942
Release: alt1

Summary: Digital-DJ/Realtime Audio Mixing Software
Group: Sound
License: LGPL
Url: http://www.ffem.org/gdam/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz

%def_without psdocs

# Automatically added by buildreq on Tue Nov 19 2002
BuildRequires: XFree86-Xvfb XFree86-devel XFree86-libs docbook-dtds docbook-style-dsssl glib-devel glibc-devel-static gtk+-devel ladspa_sdk libalsa2-devel libglade-devel libncurses-devel libssl libxml-devel libxmms-devel lynx openjade python sgml-common sgmltools-lite zlib-devel

%description
A client and server for real-time music remixing, production and
dj-mixing software. It features client-server architecture, plugins,
multiple devices, multiple mp3s, filtering, looping, sequencing,
libglade-based (xml) guis, online help, midi.

%package common
Summary: Core GDAM libraries, for the client or the server
Group: Sound
Requires: %name = %version-%release, mpg123

%description common
GDAM core libraries; common as in "used by the server and the server.
The full package includes a client and server for real-time music
remixing, production and dj-mixing software. It features client-server
architecture, plugins, multiple devices, multiple mp3s, filtering,
looping, sequencing, libglade-based (xml) guis, online help, midi.

%package server
Summary: The GDAM server: outputs sound to device[s] as clients request
Group: Sound
Provides: %name = %version
Requires: %name-common = %version-%release

%description server
Digital-dj sound server. Real-time music remixing, production and
dj-mixing software. It features client-server architecture, plugins,
multiple devices, multiple mp3s, filtering, looping, sequencing,
libglade-based (xml) guis, online help, midi.

%package client-common
Summary: Libraries needed by all GDAM clients
Group: Sound
Requires: %name-common = %version-%release

%description client-common
Routines common to all clients, both graphical and text based.

%package clients-console
Summary: Console clients for GDAM
Group: Sound
Provides: %name = %version
Requires: %name-client-common = %version-%release

%description clients-console
Contain two curses-based GDAM clients:
%{name}123 - a clone of mpg123.
%{name}cli - a CLI to the server, for debugging and scripting.

%package clients-gtk
Summary: Gtk+ GUI for GDAM
Group: Sound
Provides: %name = %version
Requires: %name-client-common = %version-%release

%description clients-gtk
Nice Gtk+/XML based GUIs for GDAM.

%package alsa-plugins
Summary: ALSA output device support for the GDAM server
Group: Sound
Requires: %name-server = %version-%release

%description alsa-plugins
alsa (the Advanced Linux Sound Architecture) support for GDAM. Install
this to use an ALSA device with GDAM.

%package xmms-plugins
Summary: XMMS plugin support for GDAM
Group: Sound
Requires: %name-clients-gtk = %version-%release, %name-server = %version-%release, xmms

%description xmms-plugins
Use XMMS visualization plugins with GDAM.

%package doc
Summary: GDAM documentation
Group: Sound
Requires: %name = %version-%release

%description doc
This package contains user level documentation for GDAM.

%package devel
Summary: Header and libraries for developing GDAM clients or plugins
Group: Development/C
Requires: %name-server = %version-%release, %name-clients-gtk = %version-%release
Requires: %name-alsa-plugins = %version-%release, %name-xmms-plugins = %version-%release 

%description devel
This package contains .h files, libraries and documentation used to
develop GDAM applications.

%package devel-static
Summary: Static versions of GDAM libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contents static versions of GDAM libraries.

%prep
%setup -q

%build
export ac_cv_path_MPG123=/usr/bin/mpg123
%configure
# SMP-incompatible build
%make

%if_with psdocs
%make build-ps-doc
%endif

%install
%make_build DESTDIR=%buildroot install

%if_with psdocs
%make_build DESTDIR=%buildroot install-ps-doc
%endif

# make filelists
find %buildroot -type f -o -type l |sed -e 's|^%buildroot||' >%name.files
grep -e 'server\/gdas.*\.so.*' %name.files |grep -v 'xmms' >%name-server.files
grep -e 'model\/gdam.*\.so.*' %name.files |grep -v 'xmms' |grep -v 'alsa' >%name-client-common.files
grep -e 'skin\/gdam.*\.so.*' %name.files |grep -v 'xmms' >%name-clients-gtk.files
grep -e 'xmms.*\.so' %name.files >%name-xmms-plugins.files
grep -E '\.h$|\.la$' %name.files >%name-devel.files
grep -e '\.a$' %name.files >%name-devel-static.files

%post server -p %post_ldconfig
%postun server -p %postun_ldconfig

%post common -p %post_ldconfig
%postun common -p %postun_ldconfig

%post client-common -p %post_ldconfig
%postun client-common -p %postun_ldconfig

%files common
%_libdir/lib%name-common.so*
%_libdir/%name/plugins/dependencies

%files server -f %name-server.files
%_bindir/%{name}rtcat
%_bindir/%name-server
%_bindir/%{name}dbtool
%_bindir/%{name}dsp
%_bindir/%{name}externalrecorderhelper
%_libdir/lib%name-server.so.*
%_libdir/%name/gdamdsppreload.so*
%_libdir/%name/synth/*
%_libdir/%name/plugins/server/remez.so*
%_libdir/%name/plugins/devices/%{name}deviceoss.so*
%_libdir/%name/plugins/devices/%{name}devicedummy.so*
%_libdir/%name/plugins/devices/%{name}threadeddevice.so*
%config(noreplace) %_sysconfdir/%name/server.config
%config(noreplace) %_sysconfdir/%name/ladspa_defaults.xml
%_mandir/man1/%name-server.1.*

%files client-common -f %name-client-common.files
%_libdir/lib%name-client.so.*
%_libdir/lib%name-model.so.*

%files clients-console
%_bindir/%{name}123
%_bindir/%{name}cli
%_mandir/man1/%{name}123.1.*
%_mandir/man1/%{name}cli.1.*

%files clients-gtk -f %name-clients-gtk.files
%_bindir/%{name}ladspapluginscanner
%_bindir/%name-launcher
%_libdir/lib%name-skin.so.*
%_datadir/%name
%config(noreplace) %_sysconfdir/%name/input.devices
%_mandir/man1/%name-launcher.1.*
%_mandir/man1/%{name}ladspapluginscanner.1.*

%files alsa-plugins
%_libdir/%name/plugins/devices/%{name}devicealsa.so*
%_libdir/%name/plugins/model/%{name}alsamididevice.so*

%files xmms-plugins -f %name-xmms-plugins.files
%_bindir/%{name}xmmsvishelper

%files doc
%doc doc/%name.txt
%doc doc/%name.sgml
%doc doc/FAQ
%doc doc/turntable.keyreference
%doc doc/vision.txt
%doc AUTHORS TODO CONTRIBUTORS ChangeLog NEWS INSTALL README
%if_with psdocs
%doc %_docdir/%name.ps
%endif

%files devel -f %name-devel.files
%_libdir/*.so
%doc doc/%name-dev.txt
%doc doc/%name-dev.sgml
%if_with psdocs
%doc %_docdir/%name-dev.ps
%endif

%files devel-static -f %name-devel-static.files

%changelog
* Thu Nov 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.942-alt1
- 0.942

* Sun Dec 2 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.941-alt3
- Filelists creating little automated, lost files found again,
  specfile little shortened.

* Wed Nov 28 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.941-alt2
- Found lost files.
- *.so replaced from devel package (gdam calls modules as somemodule.so) 

* Mon Nov 26 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.941-alt1
- first build for Sisyphus.
